Bug 1336045 - [RFE] Support for encrypted virtual machine disk images
Summary: [RFE] Support for encrypted virtual machine disk images
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: noarch
OS: All
medium
medium
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: Gil Klein
URL:
Whiteboard:
: 1353247 (view as bug list)
Depends On: 1301026 1821539 1406796 1518998 1631239
Blocks: CEECIR_RHV43_proposed
TreeView+ depends on / blocked
 
Reported: 2016-05-13 21:53 UTC by Greg Scott
Modified: 2020-08-03 15:38 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-05 11:19:12 UTC
oVirt Team: Storage
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)

Description Greg Scott 2016-05-13 21:53:36 UTC
Description of problem:

We have a customer RFE request for RHEV to support encrypted virtual machine disk images, especially for deployments that may move in the future to hybrid clouds.  

This BZ, 

https://bugzilla.redhat.com/show_bug.cgi?id=1301019

asks for RHEL to support encrypted QCOW2 images. RHEV could expand on that support by providing a system to either manage the encryption keys in its database or publish hooks to use third party key management systems. It may also make sense to support encryption for other disk image formats.  Such a capability would provide RHEV a competitive advantage over other virtualization products.

Comment 1 Yaniv Lavi 2017-06-04 13:46:17 UTC
*** Bug 1353247 has been marked as a duplicate of this bug. ***

Comment 2 Yaniv Lavi 2018-06-05 11:19:12 UTC
Closing old RFEs, please reopen if still needed.

Comment 3 Franta Kust 2019-05-16 13:08:39 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.